// Задача "Эксперимент"
// Девятая индивидуальная Интернет-олимпиада сезона 2010-2011
// Автор задачи: Владимир Ульянцев, ulyantsev@rain.ifmo.ru
// Автор решения: Владимир Ульянцев, ulyantsev@rain.ifmo.ru

type
    int = longint;

const
    MAXN = 1000;
    MAXD = 1000;
var
    n, d, i : int;

begin
    reset(input, 'experiment.in');
    read(n, d);

    assert((1 <= n) and (n <= MAXN));
    assert((-MAXD <= d) and (d <= MAXD));

    rewrite(output, 'experiment.out');
    for i := 1 to n div 2 do begin
        write(d - i, ' ', d + i, ' ');
    end;
    
    if (n mod 2 = 1) then begin
        write(d);
    end;
end.
